Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredPointsGeometryFilter Class Reference

`#include <vtkStructuredPointsGeometryFilter.h>`

Inheritance diagram for vtkStructuredPointsGeometryFilter:

[legend]
Collaboration diagram for vtkStructuredPointsGeometryFilter:

[legend]
List of all members.

## Detailed Description

obsolete class

Date:
  2002/11/03 15:57:43

Revision:
  1.38

vtkStructuredPointsGeometryFilter has been renamed to vtkImageDataGeometryFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (47%)
  - Avila, Lisa (22%)
  - Lorensen, Bill (14%)
  - Martin, Ken (6%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkStructuredPointsGeometryFilter.h)`
  - .`cxx` (`/Graphics/vtkStructuredPointsGeometryFilter.cxx)`

Definition at line 44 of file vtkStructuredPointsGeometryFilter.h.

## Public Types
typedef vtkImageDataGeometryFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkStructuredPointsGeometryFilter * | SafeDownCast (vtkObject *o)
vtkStructuredPointsGeometryFilter * | New ()
## Protected Methods
| vtkStructuredPointsGeometryFilter ()
| ~vtkStructuredPointsGeometryFilter ()

## Member Typedef Documentation

typedef vtkImageDataGeometryFilter vtkStructuredPointsGeometryFilter::Superclass

| Reimplemented from vtkImageDataGeometryFilter. Definition at line 47 of file vtkStructuredPointsGeometryFilter.h.

## Constructor & Destructor Documentation

vtkStructuredPointsGeometryFilter::vtkStructuredPointsGeometryFilter | ( |  | ) | `[protected]`

vtkStructuredPointsGeometryFilter::~vtkStructuredPointsGeometryFilter | ( |  | ) | `[inline, protected]`

| Definition at line 54 of file vtkStructuredPointsGeometryFilter.h.

## Member Function Documentation

virtual const char* vtkStructuredPointsGeometryFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageDataGeometryFilter.

int vtkStructuredPointsGeometryFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageDataGeometryFilter.

virtual int vtkStructuredPointsGeometryFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageDataGeometryFilter.

vtkStructuredPointsGeometryFilter* vtkStructuredPointsGeometryFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageDataGeometryFilter.

vtkStructuredPointsGeometryFilter* vtkStructuredPointsGeometryFilter::New | ( |  | ) | `[static]`

| Construct with initial extent of all the data Reimplemented from vtkImageDataGeometryFilter.

The documentation for this class was generated from the following file:

- Graphics/vtkStructuredPointsGeometryFilter.h